QGIS Application - Bug report #2026
Oracle connection fails
2009-10-22 02:27 AM - HansV -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12086
Description

Connection to Oracle fails.

Dialog: "Create a New OGR Database connection”

| entered Host, Database, Port, Username and Password

Then "Test connection” replies:

ORA-12154: TNS:could not resolve the connect identifier specified in <unnamed>

And after hitting the OK button:

Invalid Data Source
OCl:Username/Password@Host/Database is not a valid or recognized data source

Even when | leave Host empty, | get an error because the slash is still in front of Database.

What are the steps to make the Oracle connection work?

Associated revisions

Revision 2700a3d0 - 2010-02-11 01:36 PM - Jiirgen Fischer

fix #2026

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12927 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ¢3942d49 - 2010-02-11 01:36 PM - Jiirgen Fischer

fix #2026

git-svn-id: http://svn.osgeo.org/qgis/trunk@12927 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-02-11 04:37 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed
